aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/corosync/corosync.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2014-10-26 13:08:33 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2014-10-26 13:08:33 +0100
commit218fa3fba584772fb9275cd335aac1639ab72445 (patch)
treef49c76d699b5b133e32bea7fc7cd164164225c92 /unmaintained/corosync/corosync.initd
parent3b96db9e41611b61d7df6ffd57c5c72135f2df0b (diff)
downloadaports-218fa3fba584772fb9275cd335aac1639ab72445.tar.bz2
aports-218fa3fba584772fb9275cd335aac1639ab72445.tar.xz
testing/corosync: move to unmaintained
Diffstat (limited to 'unmaintained/corosync/corosync.initd')
-rw-r--r--unmaintained/corosync/corosync.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/unmaintained/corosync/corosync.initd b/unmaintained/corosync/corosync.initd
new file mode 100644
index 0000000000..6c134bd937
--- /dev/null
+++ b/unmaintained/corosync/corosync.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/corosync/files/corosync.initd,v 1.2 2010/11/17 07:07:03 xarthisius Exp $
+
+depend() {
+ need net
+ use logger
+}
+
+start() {
+ ebegin "Starting Corosync Cluster Engine"
+ start-stop-daemon --start -q --exec /usr/sbin/corosync \
+ --pidfile /var/run/corosync.pid --make-pidfile --background \
+ -- -f
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Corosync Cluster Engine"
+ start-stop-daemon --stop -q --pidfile /var/run/corosync.pid
+ eend $?
+}